To: linux-m68k@lists.linux-m68k.org
Subject: Re: L68K: linux-2.0.31-m68k-pre3
References: <199710262020.VAA13572@valhall.cern.ch>
From: Andre Heynatz <tron@Informatik.Uni-Bremen.DE>
Date: 29 Oct 1997 12:42:53 +0100
In-Reply-To: Jes Sorensen's message of Sun, 26 Oct 1997 21:20:06 +0100
Sender: owner-linux-m68k@phil.uni-sb.de

Jes Sorensen <Jes.Sorensen@cern.ch> writes:

> 
> Hi
> 
> I have just release 2.0.31-pre3, which can be foung in the testing
> directory at SunSITE.auc.dk (as usual).
> 
> The major difference between this version and pre2 is that the 53C7xx
> SCSI problems should have been solved (I hope so), the addition of
> CyberVision3D support and update to the native 2.0.31 release.
> 
> Before I release an official 2.0.31 I need to know whether the kernel
> works on the following hardware:
> 
> A4000T/A4091/WarpEngine SCSI
> CyberVision 64
> CyberVision 3D (only Z3 mode is supposed to work).

Hello!

I have tried to compile 2.0.31-pre3 with CV3D support, but without
CV64 support. This failed: S3_NEW ???

So I have applied the following patch:

--- linux-2.0.31-m68k-pre3/arch/m68k/console/fbcon.c.orig	Sun Oct 26 19:12:35 1997
+++ linux-2.0.31-m68k-pre3/arch/m68k/console/fbcon.c	Wed Oct 29 00:33:52 1997
@@ -60,7 +60,7 @@
 #ifdef CONFIG_ATARI
 #include <asm/atariints.h>
 #endif
-#ifdef CONFIG_FB_CYBER
+#if defined(CONFIG_FB_CYBER) || defined(CONFIG_FB_CV3D)
 #include "../amiga/s3blit.h"
 #endif

And this seems to work. I haven't used the right FB settings, so there
was animated garbage on the screen (a new kind of modern art :-) ).

Unfortunately, the A4000T SCSI driver doesn't work at all. First the
error message when I started Linux without any 53c7xx option:

scsi-ncr53c7xx : NCR53c710 at memory 0x80dd0040, io 0x0, irq 12
scsi: Registered size increased by 256 to 9176
scsi: CmdPageStart = 0x20
scsi: tmp = 0x00131014, hostdata->free set to 0x00131020
scsi0: Revision 0x1
scsi0: NCR code relocated to 0x7130648 (virt 0x00130648)
request_irq: Incorrect IRQ 12 from 53c7xx
scsi0: IRQ 12 not free, detaching
       You have either a configuration problem, or a
       broken BIOS. You may wish to manually assign
       an interrupt to the NCR board rather than using
       an automatic setting.
scsi0: Amiga NCR53c710 SCSI
scsi: 1 host
scsi0: disabled or bad target 0 lun 0

I must have a broken BIOS :-)

No, I haven't inserted removable media.

If I use amiboot options 53c7xx=nosync:0,nodisconnect:0,
it doesn't run either, a hexdump is printed and that's
it. Unfortunately, the 'debug=mem' option doesn't work in this
case. I have found several SAVEKMEM cookies in memory, one in CHIP,
several in FAST RAM, weird!

The only fully working version supporting the A4000T is the patched
2.0.29 kernel. But the 2.1.57 SCSI kernel code works well enough (removable
media are ice cake).

If someone with an A4000T wants to try out this 2.0.31pre3 kernel,
please look at my homepage (URL see below).

Greetings,

-- 
Andri Heynatz
http://www.informatik.uni-bremen.de/~tron/linux_m68k/

